#ifndef __MyuSpecialIniReader_H__
#define __MyuSpecialIniReader_H__

#include "MyuIniReader.h"

#define MYU_SPECIAL_INIREADER_BUFSIZE	(1024)

//	クラス宣言
class CMyuSpecialIniReader : public CMyuIniReader
{
protected:

public:
	//	コンストラクタ・デストラクタ
	CMyuSpecialIniReader();
	virtual ~CMyuSpecialIniReader();

	bool GetSectionLines( const char* szIniFile, const char* szSection, vector<string> &linesOut ){
		Setup( szIniFile ); return GetSectionLines( szSection, linesOut ); }
	bool GetSectionLines( const char* szSection, vector<string> &linesOut );

	bool GetSectionLinesMap( const char* szIniFile, const char* szSection, map<string,string> &mapOut ){
		Setup( szIniFile ); return GetSectionLinesMap( szSection, mapOut ); }
	bool GetSectionLinesMap( const char* szSection, map<string,string> &mapOut );
};

#endif//__MyuSpecialIniReader_H__